Last modified: 2012-11-28 15:50:25 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 39979 - Documentation is awful
Documentation is awful
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
EducationProgram (Other open bugs)
master
All All
: Unprioritized normal (vote)
: ---
Assigned To: Jeroen De Dauw
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-09-04 17:34 UTC by Mark Holmquist
Modified: 2012-11-28 15:50 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mark Holmquist 2012-09-04 17:34:33 UTC
The page on mw.org (https://www.mediawiki.org/wiki/Extension:Education_Program) needs to be updated with

* The git information in a more sane format
* Consistent git information (not google code)
* Information on how to start using the extension (right now it's impossible to test the extension)
* Possibly information on development
Comment 1 Jeroen De Dauw 2012-10-30 14:33:36 UTC
Thanks for pointing out the outdated SVN links, they have now been updated to use git.
Comment 2 Mark Holmquist 2012-10-30 19:33:52 UTC
Good start, thanks :)
Comment 3 Sage Ross 2012-11-02 16:29:51 UTC
I've added some documentation on usage and features, including how to start using it from a user (rather than sysadmin) perspective, in the ==Usage== section.
Comment 4 Quim Gil 2012-11-28 07:40:58 UTC
https://www.mediawiki.org/wiki/Extension:Education_Program doesn't look _awful_ to me, and it seems to be decently filled with useful content, including the points addressed by the reporter.

FIXED?

Otherwise, what would be the points still open?
Comment 5 Mark Holmquist 2012-11-28 09:07:41 UTC
I'm pretty happy with the current solution, yes. The only remaining thing I'd add would be more specific instructions for the "Quick instructions for getting started" section. It says to add the "course coordinator" user right, but there aren't specific instructions for what that entails. Elsewise I'm happy.
Comment 6 Sage Ross 2012-11-28 15:50:25 UTC
Thanks for the feedback, Mark and Quim.

I've expanded the quick instructions to make it more clear and detailed. I'm marking it as FIXED.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links